### Function

# GLib AsyncQueue new_full

since: 2.16

#### Declaration

    GAsyncQueue*
    g_async_queue_new_full (
      GDestroyNotify item_free_func
    )

#### Description

Creates a new asynchronous queue and sets up a destroy notify function that is used to free any remaining queue items when the queue is destroyed after the final unref.

Available since: 2.16

This function is not directly available to language bindings.

#### Parameters

`item_free_func`

  Type: `GDestroyNotify`

  Function to free queue elements.

#### Return value

Type: `GAsyncQueue`

A new `GAsyncQueue`. Free with `g_async_queue_unref()`

The caller of the function takes ownership of the data, and is responsible for freeing it.